# CbcHeuristicDiveGuided Class Reference

DiveGuided class. More...

`#include <CbcHeuristicDiveGuided.hpp>`

Inheritance diagram for CbcHeuristicDiveGuided:
[legend]
Collaboration diagram for CbcHeuristicDiveGuided:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDiveGuided ()
| CbcHeuristicDiveGuided (CbcModel &model)
| CbcHeuristicDiveGuided (const CbcHeuristicDiveGuided &)
| ~CbcHeuristicDiveGuided ()
virtual CbcHeuristicDiveGuided * | clone () const
| Clone.
CbcHeuristicDiveGuided & | operator= (const CbcHeuristicDiveGuided &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual bool | canHeuristicRun ()
| Tests if the heuristic can run.
virtual bool | selectVariableToBranch (OsiSolverInterface *solver, const double *newSolution, int &bestColumn, int &bestRound)
| Selects the next variable to branch on.

## Detailed Description

DiveGuided class.

Definition at line 14 of file CbcHeuristicDiveGuided.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDiveGuided::CbcHeuristicDiveGuided | ( |  | ) |

CbcHeuristicDiveGuided::CbcHeuristicDiveGuided | ( | CbcModel & | model | ) |

CbcHeuristicDiveGuided::CbcHeuristicDiveGuided | ( | const CbcHeuristicDiveGuided & |  | ) |

CbcHeuristicDiveGuided::~CbcHeuristicDiveGuided | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristicDiveGuided* CbcHeuristicDiveGuided::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristicDive.

CbcHeuristicDiveGuided& CbcHeuristicDiveGuided::operator= | ( | const CbcHeuristicDiveGuided & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristicDive.

virtual void CbcHeuristicDiveGuided::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDiveGuided::canHeuristicRun | ( |  | ) | `[virtual]`

Tests if the heuristic can run.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDiveGuided::selectVariableToBranch | ( | OsiSolverInterface * | solver,
|  | const double * | newSolution,
|  | int & | bestColumn,
|  | int & | bestRound |
| ) |  |  | `[virtual]`

Selects the next variable to branch on.

Returns true if all the fractional variables can be trivially rounded. Returns false, if there is at least one fractional variable that is not trivially roundable. In this case, the bestColumn returned will not be trivially roundable.

Implements CbcHeuristicDive.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcHeuristicDiveGuided.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines